{include file='documentHeader'}

<head>
	<title>{$board->title|language} {if $pageNo > 1}- {lang}wcf.page.pageNo{/lang} {/if}- {PAGE_TITLE|language}</title>
	
	{include file='headInclude'}
	
	{if $board->isBoard()}
		{if $__wcf->getUser()->userID}
			<link rel="alternate" type="application/rss+xml" title="{lang}wcf.global.button.rss{/lang}" href="{link application='wbb' controller='BoardFeed' id=$board->boardID appendSession=false}at={@$__wcf->getUser()->userID}-{@$__wcf->getUser()->accessToken}{/link}" />
		{else}
			<link rel="alternate" type="application/rss+xml" title="{lang}wcf.global.button.rss{/lang}" href="{link application='wbb' controller='BoardFeed' id=$board->boardID appendSession=false}{/link}" />
		{/if}
		
		{assign var='additionalLinkParameters' value=''}
		{if $filterByDate != $defaultFilterByDate}{append var='additionalLinkParameters' value="&filterByDate=$filterByDate"}{/if}
		{if $filterByStatus}{append var='additionalLinkParameters' value="&filterByStatus=$filterByStatus"}{/if}
		{if $labelIDs|count}{capture append='additionalLinkParameters'}{foreach from=$labelIDs key=labelGroupID item=labelID}&labelIDs[{@$labelGroupID}]={@$labelID}{/foreach}{/capture}{/if}
		{if $languageID}{append var='additionalLinkParameters' value="&languageID=$languageID"}{/if}
		{if $tagID}{append var='additionalLinkParameters' value="&tagID=$tagID"}{/if}
		{capture assign='canonicalURLParameters'}sortField={@$sortField}&sortOrder={@$sortOrder}{@$additionalLinkParameters}{/capture}
		
		{if $pageNo < $pages}
			<link rel="next" href="{link application='wbb' controller='Board' object=$board}pageNo={@$pageNo+1}&{@$canonicalURLParameters}{/link}" />
		{/if}
		{if $pageNo > 1}
			<link rel="prev" href="{link application='wbb' controller='Board' object=$board}{if $pageNo > 2}pageNo={@$pageNo-1}&{/if}{@$canonicalURLParameters}{/link}" />
		{/if}
		<link rel="canonical" href="{link application='wbb' controller='Board' object=$board}{if $pageNo > 1}pageNo={@$pageNo}&{/if}{@$canonicalURLParameters}{/link}" />
	{/if}
	
	<script data-relocate="true">
		//<![CDATA[
		$(function() {
			WCF.Language.addObject({
				'wbb.post.moveToNewThread': '{lang}wbb.post.moveToNewThread{/lang}',
				'wbb.thread.closed': '{lang}wbb.thread.closed{/lang}',
				'wbb.thread.confirmDelete': '{lang}wbb.thread.confirmDelete{/lang}',
				'wbb.thread.confirmTrash': '{lang}wbb.thread.confirmTrash{/lang}',
				'wbb.thread.confirmTrash.reason': '{lang}wbb.thread.confirmTrash.reason{/lang}',
				'wbb.thread.done': '{lang}wbb.thread.done{/lang}',
				'wbb.thread.edit.advanced': '{lang}wbb.thread.edit.advanced{/lang}',
				'wbb.thread.edit.close': '{lang}wbb.thread.edit.close{/lang}',
				'wbb.thread.edit.delete': '{lang}wbb.thread.edit.delete{/lang}',
				'wbb.thread.edit.done': '{lang}wbb.thread.edit.done{/lang}',
				'wbb.thread.edit.enable': '{lang}wbb.thread.edit.enable{/lang}',
				'wbb.thread.edit.disable': '{lang}wbb.thread.edit.disable{/lang}',
				'wbb.thread.edit.merge': '{lang}wbb.thread.edit.merge{/lang}',
				'wbb.thread.edit.merge.success': '{lang}wbb.thread.edit.merge.success{/lang}',
				'wbb.thread.edit.move': '{lang}wbb.thread.edit.move{/lang}',
				'wbb.thread.edit.open': '{lang}wbb.thread.edit.open{/lang}',
				'wbb.thread.edit.removeLink': '{lang}wbb.thread.edit.removeLink{/lang}',
				'wbb.thread.edit.restore': '{lang}wbb.thread.edit.restore{/lang}',
				'wbb.thread.edit.scrape': '{lang}wbb.thread.edit.scrape{/lang}',
				'wbb.thread.edit.sticky': '{lang}wbb.thread.edit.sticky{/lang}',
				'wbb.thread.edit.trash': '{lang}wbb.thread.edit.trash{/lang}',
				'wbb.thread.edit.undone': '{lang}wbb.thread.edit.undone{/lang}',
				'wbb.thread.moved': '{lang}wbb.thread.moved{/lang}',
				'wbb.thread.sticky': '{lang}wbb.thread.sticky{/lang}',
				'wbb.thread.undone': '{lang}wbb.thread.undone{/lang}',
				'wbb.thread.edit.moveThreads': '{lang}wbb.thread.edit.moveThreads{/lang}',
				'wbb.thread.edit': '{lang}wbb.thread.edit{/lang}'
			});
			
			var $updateHandler = new WBB.Thread.UpdateHandler.Board();
			var $inlineEditor = new WBB.Thread.InlineEditor('.wbbThread');
			$inlineEditor.setUpdateHandler($updateHandler);
			$inlineEditor.setEnvironment('board', 0, '{link application='wbb' controller='Board' object=$board}{/link}');
			$inlineEditor.setPermissions({
				canCloseThread: {@$board->getModeratorPermission('canCloseThread')},
				canDeleteThread: {@$board->getModeratorPermission('canDeleteThread')},
				canDeleteThreadCompletely: {@$board->getModeratorPermission('canDeleteThreadCompletely')},
				canEnableThread: {@$board->getModeratorPermission('canEnableThread')},
				canMoveThread: {@$board->getModeratorPermission('canMoveThread')},
				canPinThread: {@$board->getModeratorPermission('canPinThread')},
				canRestoreThread: {@$board->getModeratorPermission('canRestoreThread')}
			});
			
			var $threadClipboard = new WBB.Thread.Clipboard($updateHandler);
			var $postClipboard = new WBB.Post.Clipboard(null);
			WCF.Clipboard.init('wbb\\page\\BoardPage', {@$hasMarkedItems}, { }, {@$board->boardID});
			
			{if WBB_MODULE_THREAD_MARKING_AS_DONE && $board->enableMarkingAsDone}
				new WBB.Thread.MarkAsDone($updateHandler);
			{/if}
			new WBB.Thread.MarkAsRead();
			new WBB.Board.MarkAllThreadsAsRead({@$board->boardID});
			
			var $options = { };
			{if $pages > 1}
				$options.refreshPage = true;
				{if $pages == $pageNo}
					$options.updatePageNumber = -1;
				{/if}
			{else}
				$options.emptyMessage = '{lang}wbb.board.noThreads{/lang}';
			{/if}
			
			new WCF.Table.EmptyTableHandler($('.wbbThreadList'), 'wbbThread', $options);
		});
		//]]>
	</script>
</head>

<body id="tpl{$templateName|ucfirst}">

{if $board->isBoard()}
	{capture assign='sidebar'}
		{include file='boardSidebar' application='wbb'}
	{/capture}
{/if}

{if $board->isBoard()}
	{capture assign='headerNavigation'}
		{if $board->isBoard()}<li><a rel="alternate" href="{if $__wcf->getUser()->userID}{link application='wbb' controller='BoardFeed' id=$board->boardID appendSession=false}at={@$__wcf->getUser()->userID}-{@$__wcf->getUser()->accessToken}{/link}{else}{link application='wbb' controller='BoardFeed' id=$board->boardID appendSession=false}{/link}{/if}" title="{lang}wcf.global.button.rss{/lang}" class="jsTooltip"><span class="icon icon16 icon-rss"></span> <span class="invisible">{lang}wcf.global.button.rss{/lang}</span></a></li>{/if}
		<li class="jsOnly"><a title="{lang}wbb.board.markAsRead{/lang}" class="markAsReadButton jsTooltip"><span class="icon icon16 icon-ok"></span> <span class="invisible">{lang}wbb.board.markAsRead{/lang}</span></a></li>
	{/capture}
{/if}

{include file='header' sidebarOrientation='right'}

<header class="boxHeadline">
	<h1><a href="{link application='wbb' controller='Board' object=$board}{/link}">{$board->title|language}</a></h1>
	{hascontent}<p>{content}{if $board->descriptionUseHtml}{@$board->description|language}{else}{$board->description|language}{/if}{/content}</p>{/hascontent}
</header>

{include file='userNotice'}

{if $boardNodeList|count > 0}
	{include file='boardNodeListContainer' application='wbb'}
{/if}

{if $board->isBoard()}
	<div class="contentNavigation">
		{pages print=true assign=pagesLinks application='wbb' controller='Board' object=$board link="pageNo=%d&sortField=$sortField&sortOrder=$sortOrder$additionalLinkParameters"}
		
		{hascontent}
			<nav>
				<ul>
					{content}
						{if $board->canStartThread()}<li><a href="{link application='wbb' controller='ThreadAdd' id=$boardID}{/link}" title="{lang}wbb.thread.add{/lang}" class="button"><span class="icon icon16 icon-asterisk"></span> <span>{lang}wbb.thread.button.add{/lang}</span></a></li>{/if}
						{event name='contentNavigationButtonsTop'}
					{/content}
				</ul>
			</nav>
		{/hascontent}
	</div>
	
	{if $objects|count}
		{include file='boardThreadList' application='wbb'}
	{else}
		<p class="info">{lang}wbb.board.noThreads{/lang}</p>
	{/if}
	
	<div class="contentNavigation">
		{@$pagesLinks}
		
		{hascontent}
			<nav>
				<ul>
					{content}
						{if $board->canStartThread()}<li><a href="{link application='wbb' controller='ThreadAdd' id=$boardID}{/link}" title="{lang}wbb.thread.add{/lang}" class="button"><span class="icon icon16 icon-asterisk"></span> <span>{lang}wbb.thread.button.add{/lang}</span></a></li>{/if}
						{event name='contentNavigationButtonsBottom'}
					{/content}
				</ul>
			</nav>
		{/hascontent}
		
		{if $board->canEditThreads()}
			<nav class="jsClipboardEditor" data-types="[ 'com.woltlab.wbb.post', 'com.woltlab.wbb.thread' ]"></nav>
		{/if}
	</div>
{/if}

{hascontent}
	<div class="container marginTop">
		<ul class="containerList infoBoxList">
			{content}
				{if MODULE_USERS_ONLINE && WBB_BOARD_ENABLE_ONLINE_LIST && $usersOnlineList->stats[total]}
					<li class="box32 usersOnlineInfoBox">
						<span class="icon icon32 icon-user"></span>
						
						<div>
							<div class="containerHeadline">
								<h3>{lang}wcf.user.usersOnline{/lang} <span class="badge">{#$usersOnlineList->stats[total]}</span></h3>
								<p>{lang}wcf.user.usersOnline.detail{/lang}</p>
							</div>
							
							<ul class="dataList">
								{foreach from=$usersOnlineList->getObjects() item=userOnline}
									<li><a href="{link controller='User' object=$userOnline->getDecoratedObject()}{/link}" class="userLink" data-user-id="{@$userOnline->userID}">{@$userOnline->getFormattedUsername()}</a></li>
								{/foreach}
							</ul>
						</div>
					</li>
				{/if}
				
				{if WBB_BOARD_ENABLE_STATS && $board->isBoard()}
					<li class="box32 statsInfoBox">
						<span class="icon icon32 icon-bar-chart"></span>
						
						<div>
							<div class="containerHeadline">
								<h3>{lang}wbb.index.stats{/lang}</h3>
								<p>{lang}wbb.board.stats.detail{/lang}</p>
							</div>
						</div>
					</li>
				{/if}
				
				{event name='infoBoxes'}
			{/content}
		</ul>
	</div>
{/hascontent}

{include file='footer'}

</body>
</html>