{include file='documentHeader'}

<head>
	<title>{if $__wcf->getPageMenu()->getLandingPage()->menuItem != 'wbb.header.menu.board'}{lang}wbb.header.menu.board{/lang} - {/if}{PAGE_TITLE|language}</title>
	
	{include file='headInclude'}
	{if $__wcf->getUser()->userID}
		<link rel="alternate" type="application/rss+xml" title="{lang}wcf.global.button.rss{/lang}" href="{link application='wbb' controller='BoardFeed' appendSession=false}at={@$__wcf->getUser()->userID}-{@$__wcf->getUser()->accessToken}{/link}" />
	{else}
		<link rel="alternate" type="application/rss+xml" title="{lang}wcf.global.button.rss{/lang}" href="{link application='wbb' controller='BoardFeed' appendSession=false}{/link}" />
	{/if}
	<link rel="canonical" href="{link application='wbb' controller='BoardList'}{/link}" />
	
	<script data-relocate="true">
		//<![CDATA[
		$(function() {
			WCF.Language.addObject({
				'wbb.index.ignoreBoards': '{lang}wbb.index.ignoreBoards{/lang}'
			});
			new WBB.Board.MarkAllAsRead();
			new WBB.Board.IgnoreBoards();
		});
		//]]>
	</script>
</head>

<body id="tpl{$templateName|ucfirst}">

{if $__boxSidebar|isset && $__boxSidebar}
	{capture assign='sidebar'}
		{@$__boxSidebar}
	{/capture}
{/if}

{capture assign='headerNavigation'}
<li><a rel="alternate" href="{if $__wcf->getUser()->userID}{link application='wbb' controller='BoardFeed' appendSession=false}at={@$__wcf->getUser()->userID}-{@$__wcf->getUser()->accessToken}{/link}{else}{link application='wbb' controller='BoardFeed' appendSession=false}{/link}{/if}" title="{lang}wcf.global.button.rss{/lang}" class="jsTooltip"><span class="icon icon16 icon-rss"></span> <span class="invisible">{lang}wcf.global.button.rss{/lang}</span></a></li>
<li class="jsOnly"><a title="{lang}wbb.index.markAsRead{/lang}" class="markAllAsReadButton jsTooltip"><span class="icon icon16 icon-ok"></span> <span class="invisible">{lang}wbb.index.markAsRead{/lang}</span></a></li>

{if WBB_MODULE_IGNORE_BOARDS && $__wcf->user->userID}
	<li class="jsOnly"><a title="{lang}wbb.index.ignoreBoards{/lang}" class="ignoreBoardsButton jsTooltip"><span class="icon icon16 icon-eye-close"></span> <span class="invisible">{lang}wbb.index.ignoreBoards{/lang}</span></a></li>
{/if}
{/capture}

{include file='header' sidebarOrientation='right'}

{if $__wcf->getPageMenu()->getLandingPage()->menuItem == 'wbb.header.menu.board'}
	<header class="boxHeadline">
		<h1>{PAGE_TITLE|language}</h1>
		{hascontent}<p>{content}{PAGE_DESCRIPTION|language}{/content}</p>{/hascontent}
	</header>
{else}
	<header class="boxHeadline">
		<h1>{lang}wbb.header.menu.board{/lang}</h1>
	</header>
{/if}

{include file='userNotice'}

<div class="contentNavigation">
	{hascontent}
		<nav>
			<ul>
				{content}
					{event name='contentNavigationButtonsTop'}
				{/content}
			</ul>
		</nav>
	{/hascontent}
</div>

{include file='boardNodeListContainer' application='wbb'}

<div class="contentNavigation">
	{hascontent}
		<nav>
			<ul>
				{content}
					{event name='contentNavigationButtonsBottom'}
				{/content}
			</ul>
		</nav>
	{/hascontent}
</div>

{hascontent}
	<div class="container marginTop">
		<ul class="containerList infoBoxList">
			{content}
				{if MODULE_USERS_ONLINE && WBB_INDEX_ENABLE_ONLINE_LIST && $usersOnlineList->stats[total]}
					<li class="box32 usersOnlineInfoBox">
						<span class="icon icon32 icon-user"></span>
						
						<div>
							<div class="containerHeadline">
								<h3><a href="{link controller='UsersOnlineList'}{/link}">{lang}wcf.user.usersOnline{/lang}</a> <span class="badge">{#$usersOnlineList->stats[total]}</span></h3>
								<p>{lang}wcf.user.usersOnline.detail{/lang} {lang}wbb.index.usersOnline.record{/lang}</p>
							</div>
							
							<ul class="dataList">
								{foreach from=$usersOnlineList->getObjects() item=userOnline}
									<li><a href="{link controller='User' object=$userOnline->getDecoratedObject()}{/link}" class="userLink" data-user-id="{@$userOnline->userID}">{@$userOnline->getFormattedUsername()}</a></li>
								{/foreach}
							</ul>
							
							{if WBB_INDEX_ENABLE_USERS_ONLINE_LEGEND && $usersOnlineList->getUsersOnlineMarkings()|count}
								<div class="usersOnlineLegend">
									<p>{lang}wcf.user.usersOnline.marking.legend{/lang}:</p>
									<ul class="dataList">
										{foreach from=$usersOnlineList->getUsersOnlineMarkings() item=usersOnlineMarking}
											<li>{@$usersOnlineMarking}</li>
										{/foreach}
									</ul>
								</div>
							{/if}
						</div>
					</li>
				{/if}
				
				{if WBB_INDEX_ENABLE_STATS}
					<li class="box32 statsInfoBox">
						<span class="icon icon32 icon-bar-chart"></span>
						
						<div>
							<div class="containerHeadline">
								<h3>{lang}wbb.index.stats{/lang}</h3>
								<p>{lang}wbb.index.stats.detail{/lang}</p>
							</div>
						</div>
					</li>
				{/if}
				
				{event name='infoBoxes'}
			{/content}
		</ul>
	</div>
{/hascontent}

{include file='footer'}

</body>
</html>