<div>
	<form id="sidebarContainer" method="get" action="{link application='wbb' controller='Board' object=$board}{/link}">
		{* labels *}
		{if $labelGroups|count}
			<fieldset>
				<legend>{lang}wcf.label.label{/lang}</legend>
				
				<dl>
					<dt></dt>
					<dd>
						<ul class="labelList jsOnly">
							{foreach from=$labelGroups item=labelGroup}
								{if $labelGroup|count}
									<li class="dropdown labelChooser" id="labelGroup{@$labelGroup->groupID}" data-group-id="{@$labelGroup->groupID}">
										<div class="dropdownToggle" data-toggle="labelGroup{@$labelGroup->groupID}"><span class="badge label">{lang}wcf.label.none{/lang}</span></div>
										<ul class="dropdownMenu">
											{foreach from=$labelGroup item=label}
												<li data-label-id="{@$label->labelID}"><span><span class="badge label{if $label->getClassNames()} {@$label->getClassNames()}{/if}">{lang}{$label->label}{/lang}</span></span></li>
											{/foreach}
										</ul>
									</li>
								{/if}
							{/foreach}
						</ul>
						<noscript>
							{foreach from=$labelGroups item=labelGroup}
								{if $labelGroup|count}
									<select name="labelIDs[{@$labelGroup->groupID}]">
										<option value="0">{lang}wcf.label.none{/lang}</option>
										<option value="-1">{lang}wcf.label.withoutSelection{/lang}</option>
										{foreach from=$labelGroup item=label}
											<option value="{@$label->labelID}"{if $labelIDs[$labelGroup->groupID]|isset && $labelIDs[$labelGroup->groupID] == $label->labelID} selected="selected"{/if}>{lang}{$label->label}{/lang}</option>
										{/foreach}
									</select>
								{/if}
							{/foreach}
						</noscript>
					</dd>
				</dl>
			</fieldset>
			<script data-relocate="true">
				//<![CDATA[
				$(function() {
					WCF.Language.addObject({
						'wcf.label.none': '{lang}wcf.label.none{/lang}',
						'wcf.label.withoutSelection': '{lang}wcf.label.withoutSelection{/lang}'
					});
					
					new WCF.Label.Chooser({ {implode from=$labelIDs key=groupID item=labelID}{@$groupID}: {@$labelID}{/implode} }, '#sidebarContainer', undefined, true);
				});
				//]]>
			</script>
		{/if}
		
		{if $availableLanguages|count}
			<fieldset>
				<legend>{lang}wcf.user.language{/lang}</legend>
			
				<dl>
					<dt></dt>
					<dd id="languageIDContainer">
						<script data-relocate="true">
							//<![CDATA[
							$(function() {
								var $languages = {
									{implode from=$availableLanguages item=language}
										'{@$language->languageID}': {
											iconPath: '{@$language->getIconPath()}',
											languageName: '{$language}'
										}
									{/implode}
								};
								
								new WCF.Language.Chooser('languageIDContainer', 'languageID', {@$languageID}, $languages, undefined, true);
							});
							//]]>
						</script>
						<noscript>
							<span><img src="{@$__wcf->getLanguage()->getIconPath()}" alt="{$__wcf->getLanguage()}" /></span>
							<select name="languageID" id="languageID">
								{foreach from=$availableLanguages item=language}
									<option value="{@$language->languageID}"{if $language->languageID == $languageID} selected="selected"{/if}>{$language}</option>
								{/foreach}
							</select>
						</noscript>
					</dd>
				</dl>
			</fieldset>
		{/if}
		
		<fieldset>
			<legend>{lang}wbb.board.displayOptions{/lang}</legend>
				<dl>
					<dt><label for="sortField">{lang}wbb.board.sortBy{/lang}</label></dt>
					<dd>
						<select id="sortField" name="sortField">
							<option value="topic"{if $sortField == 'topic'} selected="selected"{/if}>{lang}wbb.thread.topic{/lang}</option>
							<option value="username"{if $sortField == 'username'} selected="selected"{/if}>{lang}wbb.thread.username{/lang}</option>
							<option value="time"{if $sortField == 'time'} selected="selected"{/if}>{lang}wbb.thread.time{/lang}</option>
							<option value="replies"{if $sortField == 'replies'} selected="selected"{/if}>{lang}wbb.thread.replies{/lang}</option>
							{if MODULE_LIKE}<option value="cumulativeLikes"{if $sortField == 'cumulativeLikes'} selected="selected"{/if}>{lang}wcf.like.cumulativeLikes{/lang}</option>{/if}
							<option value="views"{if $sortField == 'views'} selected="selected"{/if}>{lang}wbb.thread.views{/lang}</option>
							<option value="lastPostTime"{if $sortField == 'lastPostTime'} selected="selected"{/if}>{lang}wbb.thread.lastPostTime{/lang}</option>
						</select>
						<select name="sortOrder">
							<option value="ASC"{if $sortOrder == 'ASC'} selected="selected"{/if}>{lang}wcf.global.sortOrder.ascending{/lang}</option>
							<option value="DESC"{if $sortOrder == 'DESC'} selected="selected"{/if}>{lang}wcf.global.sortOrder.descending{/lang}</option>
						</select>
					</dd>
				</dl>
				
				<dl>
					<dt><label for="filterByDate">{lang}wbb.board.filterByDate{/lang}</label></dt>
					<dd>
						<select id="filterByDate" name="filterByDate">
							<option value="1"{if $filterByDate == 1} selected="selected"{/if}>{lang}wbb.board.filterByDate.1{/lang}</option>
							<option value="3"{if $filterByDate == 3} selected="selected"{/if}>{lang}wbb.board.filterByDate.3{/lang}</option>
							<option value="7"{if $filterByDate == 7} selected="selected"{/if}>{lang}wbb.board.filterByDate.7{/lang}</option>
							<option value="14"{if $filterByDate == 14} selected="selected"{/if}>{lang}wbb.board.filterByDate.14{/lang}</option>
							<option value="30"{if $filterByDate == 30} selected="selected"{/if}>{lang}wbb.board.filterByDate.30{/lang}</option>
							<option value="60"{if $filterByDate == 60} selected="selected"{/if}>{lang}wbb.board.filterByDate.60{/lang}</option>
							<option value="100"{if $filterByDate == 100} selected="selected"{/if}>{lang}wbb.board.filterByDate.100{/lang}</option>
							<option value="365"{if $filterByDate == 365} selected="selected"{/if}>{lang}wbb.board.filterByDate.365{/lang}</option>
							<option value="1000"{if $filterByDate == 1000} selected="selected"{/if}>{lang}wbb.board.filterByDate.1000{/lang}</option>
						</select>
					</dd>
				</dl>
				
				<dl>
					<dt><label for="filterByStatus">{lang}wbb.board.filterByStatus{/lang}</label></dt>
					<dd>
						<select id="filterByStatus" name="filterByStatus">
							<option value="">{lang}wcf.global.noSelection{/lang}</option>
							<option value="read"{if $filterByStatus == 'read'} selected="selected"{/if}>{lang}wbb.board.filterByStatus.read{/lang}</option>
							<option value="unread"{if $filterByStatus == 'unread'} selected="selected"{/if}>{lang}wbb.board.filterByStatus.unread{/lang}</option>
							{if WBB_MODULE_THREAD_MARKING_AS_DONE && $board->enableMarkingAsDone}
								<option value="done"{if $filterByStatus == 'done'} selected="selected"{/if}>{lang}wbb.board.filterByStatus.done{/lang}</option>
								<option value="undone"{if $filterByStatus == 'undone'} selected="selected"{/if}>{lang}wbb.board.filterByStatus.undone{/lang}</option>
							{/if}
							<option value="closed"{if $filterByStatus == 'closed'} selected="selected"{/if}>{lang}wbb.board.filterByStatus.closed{/lang}</option>
							<option value="open"{if $filterByStatus == 'open'} selected="selected"{/if}>{lang}wbb.board.filterByStatus.open{/lang}</option>
							{if $board->getModeratorPermission('canReadDeletedThread')}
								<option value="deleted"{if $filterByStatus == 'deleted'} selected="selected"{/if}>{lang}wbb.board.filterByStatus.deleted{/lang}</option>
							{/if}
							{if $board->getModeratorPermission('canEnableThread')}
								<option value="disabled"{if $filterByStatus == 'disabled'} selected="selected"{/if}>{lang}wbb.board.filterByStatus.disabled{/lang}</option>
							{/if}
						</select>
					</dd>
				</dl>
		</fieldset>
			
		<div class="formSubmit">
			<input type="submit" value="{lang}wcf.global.button.submit{/lang}" accesskey="s" />
			<input type="hidden" name="tagID" value="{@$tagID}" />
			{@SID_INPUT_TAG}
		</div>
	</form>
</div>

{if $userModerators|count || $groupModerators|count}
	<div>
		<fieldset>
			<legend>{lang}wbb.board.moderators{/lang}</legend>
			
			<div>
				<ul class="sidebarBoxList">
					{foreach from=$groupModerators item=moderator}
						<li class="box32">
							<p class="framed"><span class="icon icon32 icon-group"></span></p>
							<div class="sidebarBoxHeadline">
								<h3>{if MODULE_TEAM_PAGE}<a href="{link controller='Team'}{/link}#group{@$moderator->groupID}">{$moderator->groupName|language}</a>{else}{$moderator->groupName|language}{/if}</h3>
							</div>
						</li>
					{/foreach}
					
					{foreach from=$userModerators item=moderator}
						<li class="box32">
							<a href="{link controller='User' object=$moderator->getDecoratedObject()}{/link}" class="framed">{@$moderator->getAvatar()->getImageTag(32)}</a>
							<div class="sidebarBoxHeadline">
								<h3><a href="{link controller='User' object=$moderator->getDecoratedObject()}{/link}" class="userLink" data-user-id="{@$moderator->userID}">{$moderator->username}</a></h3>
								<p>{if MODULE_USER_RANK && $moderator->getUserTitle()}<span class="badge userTitleBadge{if $moderator->getRank() && $moderator->getRank()->cssClassName} {@$moderator->getRank()->cssClassName}{/if}">{$moderator->getUserTitle()}</span>{/if}</p>
							</div>
						</li>
					{/foreach}
				</ul>
			</div>
		</fieldset>
	</div>
{/if}

{event name='boxes'}

{@$__boxSidebar}