<header class="boxHeadline boxSubHeadline">
	<h2>{lang}wbb.index.news{/lang}</h2>
</header>

<ul class="messageList wbbNewsList">
	{foreach from=$newsList item=news}
		<li>
			<article class="message messageReduced marginTop">
				<div>
					<section class="messageContent">
						<div>
							<header class="messageHeader">
								<div class="box32">
									{if $news->userID}
										<a href="{link controller='User' object=$news->getUserProfile()}{/link}" class="framed">{@$news->getUserProfile()->getAvatar()->getImageTag(32)}</a>
									{else}
										<span class="framed">{@$news->getUserProfile()->getAvatar()->getImageTag(32)}</span>
									{/if}
									
									<div class="messageHeadline">
										<h1><a href="{link application='wbb' controller='Thread' object=$news}{/link}">{$news->topic}</a></h1>
										<p>
											<span class="username">{if $news->userID}<a href="{link controller='User' object=$news->getUserProfile()}{/link}" class="userLink" data-user-id="{@$news->userID}">{$news->username}</a>{else}{$news->username}{/if}</span>
											<a href="{link application='wbb' controller='Thread' object=$news}postID={@$news->firstPostID}{/link}#post{@$news->firstPostID}" class="permalink" title="{lang}wbb.post.permalink{/lang}">{@$news->time|time}</a>{*
											*}{if MODULE_LIKE && $__wcf->getSession()->getPermission('user.like.canViewLike')}{if $news->likes || $news->dislikes}<span class="likesBadge badge jsTooltip {if $news->cumulativeLikes > 0}green{elseif $news->cumulativeLikes < 0}red{/if}" title="{lang likes=$news->likes dislikes=$news->dislikes}wcf.like.tooltip{/lang}">{if $news->cumulativeLikes > 0}+{elseif $news->cumulativeLikes == 0}&plusmn;{/if}{#$news->cumulativeLikes}</span>{/if}{/if}
										</p>
									</div>
								</div>
								
								{if $news->isNew()}<p class="newMessageBadge">{lang}wcf.message.new{/lang}</p>{/if}
							</header>
							
							<div class="messageBody">
								<div>
									{@$news->getFormattedMessage()}
								</div>
								
								<footer class="messageOptions">
									<nav class="jsMobileNavigation buttonGroupNavigation">
										<ul class="smallButtons buttonGroup">
											<li><a href="{link application='wbb' controller='Thread' object=$news}{/link}" class="button"><span class="icon icon16 icon-arrow-right"></span> <span>{lang}wcf.global.button.readMore{/lang}</span></a></li>
											<li class="toTopLink"><a href="{@$__wcf->getAnchor('top')}" title="{lang}wcf.global.scrollUp{/lang}" class="button jsTooltip"><span class="icon icon16 icon-arrow-up"></span> <span class="invisible">{lang}wcf.global.scrollUp{/lang}</span></a></li>
										</ul>
									</nav>
								</footer>
							</div>
						</div>
					</section>
				</div>
			</article>
		</li>
	{/foreach}
</ul>