<ul class="messageList jsClipboardContainer" data-type="com.woltlab.wbb.post">
	{foreach from=$objects item=post}
		<li>
			<article class="wbbPost message messageReduced marginTop jsClipboardObject jsMessage messageDeleted"
				data-object-id="{@$post->postID}" data-post-id="{@$post->postID}" data-can-edit="0" data-can-edit-inline="1"
				data-is-closed="{if $post->isClosed}1{else}0{/if}" data-is-deleted="{if $post->isDeleted}1{else}0{/if}" data-is-disabled="{if $post->isDisabled}1{else}0{/if}"
				data-can-close="{@$__wcf->getSession()->getPermission('mod.board.canClosePost')}" data-can-delete="{@$__wcf->getSession()->getPermission('mod.board.canDeletePost')}" data-can-delete-completely="{@$__wcf->getSession()->getPermission('mod.board.canDeletePostCompletely')}" data-can-enable="0" data-can-restore="{@$__wcf->getSession()->getPermission('mod.board.canRestorePost')}"
				>
				<div>
					<section class="messageContent">
						<div>
							<header class="messageHeader">
								<ul class="messageQuickOptions">
									<li class="jsOnly"><input type="checkbox" class="jsClipboardItem" data-object-id="{@$post->postID}" /></li>
								</ul>
								<div class="box32">
									{if $post->userID}
										<a href="{link controller='User' object=$post->getUserProfile()}{/link}" class="framed">{@$post->getUserProfile()->getAvatar()->getImageTag(32)}</a>
									{else}
										<span class="framed">{@$post->getUserProfile()->getAvatar()->getImageTag(32)}</span>
									{/if}
									
									<div class="messageHeadline">
										<h1><a href="{link application='wbb' controller='Thread' object=$post->getThread()}postID={@$post->postID}{/link}#post{@$post->postID}">{if $post->subject}{$post->subject}{else}{$post->getThread()->topic}{/if}</a></h1>
										<p>
											<span class="username">{if $post->userID}<a href="{link controller='User' object=$post->getUserProfile()}{/link}" class="userLink" data-user-id="{@$post->userID}">{$post->username}</a>{else}{$post->username}{/if}</span>
											<a href="{link application='wbb' controller='Thread' object=$post->getThread()}postID={@$post->postID}{/link}#post{@$post->postID}" class="permalink" title="{lang}wbb.post.permalink{/lang}">{@$post->time|time}</a>
										</p>
									</div>
								</div>
							</header>
							
							<div class="messageBody">
								<div>
									{@$post->getFormattedMessage()}
								</div>
								
								<footer class="messageOptions">
									<nav class="jsMobileNavigation buttonGroupNavigation">
										<ul class="smallButtons buttonGroup">
											<li><a href="{link application='wbb' controller='PostEdit' id=$post->postID}{/link}" title="{lang}wbb.post.edit{/lang}" class="button jsMessageEditButton"><span class="icon icon16 icon-pencil"></span> <span>{lang}wcf.global.button.edit{/lang}</span></a></li>
											<li class="toTopLink"><a href="{@$__wcf->getAnchor('top')}" title="{lang}wcf.global.scrollUp{/lang}" class="button jsTooltip"><span class="icon icon16 icon-arrow-up"></span> <span class="invisible">{lang}wcf.global.scrollUp{/lang}</span></a></li>
										</ul>
									</nav>
								</footer>
							</div>
						</div>
					</section>
				</div>
			</article>
		</li>
	{/foreach}
</ul>

<script data-relocate="true">
	//<![CDATA[
	$(function() {
		WCF.Language.addObject({
			'wbb.post.edit.close': '{lang}wbb.post.edit.close{/lang}',
			'wbb.post.edit.delete': '{lang}wbb.post.edit.trash{/lang}',
			'wbb.post.edit.delete.confirmMessage': '{lang}wbb.post.edit.delete.confirmMessage{/lang}',
			'wbb.post.edit.deleteCompletely': '{lang}wbb.post.edit.delete{/lang}',
			'wbb.post.edit.open': '{lang}wbb.post.edit.open{/lang}',
			'wbb.post.edit.restore': '{lang}wbb.post.edit.restore{/lang}',
			'wbb.post.edit.trash.confirmMessage': '{lang}wbb.post.edit.trash.confirmMessage{/lang}',
			'wbb.post.edit.trash.reason': '{lang}wbb.post.edit.trash.reason{/lang}'
		});
		
		var $postHandler = new WBB.Post.Handler('.wbbPost');
		new WBB.Post.InlineEditor(null, $postHandler);
		new WBB.Post.Clipboard($postHandler);

		WCF.Clipboard.init('wcf\\page\\DeletedContentListPage', {@$objects->getMarkedItems()}, { }, 0);
	});
	//]]>
</script>
