<?php
namespace wbb\system\event\listener;
use wbb\system\cache\builder\StatsCacheBuilder;
use wcf\system\event\IEventListener;
use wcf\system\WCF;

/**
 * Adds the Burning Board stats in the stats dashboard box.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	system.event.listener
 * @category	Burning Board
 */
class StatsSidebarDashboardBoxListener implements IEventListener {
	/**
	 * @see	wcf\system\event\IEventListener::execute()
	 */
	public function execute($eventObj, $className, $eventName) {
		WCF::getTPL()->assign(array(
			'wbbDashboardStats' => StatsCacheBuilder::getInstance()->getData()
		));
	}
}
