<?php
namespace wbb\system\thread\editor;
use wbb\data\thread\Thread;

/**
 * Default implementations for thread editors.
 * 
 * @author	Alexander Ebert
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	system.thread.editor
 * @category	Burning Board
 */
abstract class AbstractThreadEditor implements IThreadEditor {
	/**
	 * current thread
	 * @var	wbb\data\thread\Thread
	 */
	public $thread = null;
	
	/**
	 * @see	wbb\system\thread\editor\IThreadEditor::setThread()
	 */
	public function setThread(Thread $thread) {
		$this->thread = $thread;
	}
}
