<?php
namespace wbb\system\user\notification\object\type;
use wcf\system\user\notification\object\type\AbstractUserNotificationObjectType;

/**
 * Represents a forum post as a notification object type.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	system.user.notification.object.type
 * @category	Burning Board
 */
class PostUserNotificationObjectType extends AbstractUserNotificationObjectType {
	/**
	 * @see	wcf\system\user\notification\object\type\AbstractUserNotificationObjectType::$decoratorClassName
	 */
	protected static $decoratorClassName = 'wbb\system\user\notification\object\PostUserNotificationObject';
	
	/**
	 * @see	wcf\system\user\notification\object\type\AbstractUserNotificationObjectType::$objectClassName
	 */
	protected static $objectClassName = 'wbb\data\post\Post';
	
	/**
	 * @see	wcf\system\user\notification\object\type\AbstractUserNotificationObjectType::$objectListClassName
	 */
	protected static $objectListClassName = 'wbb\data\post\PostList';
}
