<p>{lang}wbb.post.edit.merge.description{/lang}</p>

<div id="postMergeContainer" class="sortableListContainer">
	<ol class="sortableList simpleSortableList">
		{foreach from=$posts item=post}
			<li class="sortableNode">
				<article class="marginTop message messageReduced jsPostContainer" data-post-id="{@$post->postID}">
					<div>
						<section class="messageContent">
							<div>
								<header class="messageHeader">
									<div class="box32">
										{if $post->getUserProfile()->userID}
											<a href="{link controller='User' object=$post->getUserProfile()}{/link}" class="framed">{@$post->getUserProfile()->getAvatar()->getImageTag(32)}</a>
										{else}
											<span class="framed">{@$post->getUserProfile()->getAvatar()->getImageTag(32)}</span>
										{/if}
										
										<div class="messageHeadline">
											<h1><a href="{@$post->getLink()}">{$post->getTitle()}</a></h1>
											<p>
												<span class="username">{if $post->getUserProfile()->userID}<a href="{link controller='User' object=$post->getUserProfile()}{/link}">{$post->getUserProfile()->username}</a>{else}{$post->getUserProfile()->username}{/if}</span>
												{@$post->time|time}
											</p>
										</div>
									</div>
								</header>
								
								<div class="messageBody">
									<div>
										<div class="messageText">
											{$post->getExcerpt()}
										</div>
									</div>
								</div>
							</div>
						</section>
					</div>
				</article>
			</li>
		{/foreach}
	</ol>
	
	<script data-relocate="true">
		//<![CDATA[
		$(function() {
			new WCF.Sortable.List('postMergeContainer', '', 0, { toleranceElement: '> article' }, true);
		});
		//]]>
	</script>
</div>

<div class="formSubmit">
	<button data-type="submit">{lang}wcf.global.button.submit{/lang}</button>
</div>