{* default values *}
{if !$enableEditMode|isset}{assign var='enableEditMode' value=true}{/if}
{if !$enableWatchMode|isset}{assign var='enableWatchMode' value=false}{/if}
{if !$showLikeColumn|isset}{assign var='showLikeColumn' value=true}{/if}
{if !$showViewColumn|isset}{assign var='showViewColumn' value=true}{/if}
{if !$showBoardLink|isset}{assign var='showBoardLink' value=false}{/if}
{assign var='showLanguageFlag' value=false}
{if $__wcf->user->getLanguageIDs()|count > 1}{assign var='showLanguageFlag' value=true}{/if}

{foreach from=$objects item=thread}
	<tr id="thread{@$thread->threadID}" class="wbbThread jsClipboardObject{if $thread->isNew()} new{/if}{if $thread->isDisabled} messageDisabled{/if}{if $thread->isDeleted} messageDeleted{/if}{if $thread->isAnnouncement} wbbThreadAnnouncement{/if}{if $thread->isSticky} wbbThreadSticky{/if}" data-thread-id="{@$thread->threadID}" data-element-id="{@$thread->threadID}"{if $thread->getBoard()->canEditThreads()} data-is-closed="{@$thread->isClosed}" data-is-deleted="{@$thread->isDeleted}" data-is-sticky="{@$thread->isSticky}" data-is-disabled="{@$thread->isDisabled}" data-is-announcement="{@$thread->isAnnouncement}"{/if}{if WBB_MODULE_THREAD_MARKING_AS_DONE && $thread->getBoard()->enableMarkingAsDone} data-is-done="{@$thread->isDone}" data-can-mark-as-done="{if $thread->canMarkAsDone()}1{else}0{/if}"{/if} data-is-link="{if $thread->movedThreadID}1{else}0{/if}">
		{if $enableEditMode && (($board|isset && $board->canEditThreads()) || (!$board|isset && $thread->getBoard()->canEditThreads()))}
			<td class="columnMark jsOnly">
				<label><input type="checkbox" class="jsClipboardItem" data-object-id="{@$thread->threadID}" /></label>
			</td>
		{/if}
		{if $enableWatchMode}
			<td class="columnMark jsOnly">
				<label><input type="checkbox" class="jsWatchedThread" data-object-id="{@$thread->threadID}" /></label>
			</td>
		{/if}
		<td class="columnIcon columnAvatar">
			{if $thread->getUserProfile()->getAvatar()}
				<div>
					<p class="framed"{if $thread->isNew()} title="{lang}wbb.thread.markAsRead.doubleClick{/lang}"{/if}>{@$thread->getUserProfile()->getAvatar()->getImageTag(32)}</p>
					
					{if $thread->ownPosts && $thread->userID != $__wcf->user->userID}
						{if $__wcf->getUserProfileHandler()->getAvatar()}
							<small class="framed myAvatar" title="{lang}wbb.thread.ownPosts{/lang}">{@$__wcf->getUserProfileHandler()->getAvatar()->getImageTag(16)}</small>
						{/if}
					{/if}
				</div>
			{/if}
		</td>
		{if $thread->isDeleted && !$thread->getBoard()->getModeratorPermission('canReadDeletedThread')}
			<td class="columnText columnSubject" colspan="{if $showLikeColumn && MODULE_LIKE && $__wcf->getSession()->getPermission('user.like.canViewLike')}5{else}4{/if}">
				<h3>
					<span class="messageGroupLink">{$thread->topic|tableWordwrap}</span>
				</h3>
				
				<small>
					{if $thread->userID}<a href="{link controller='User' object=$thread->getUserProfile()->getDecoratedObject()}{/link}" class="userLink" data-user-id="{@$thread->userID}">{$thread->username}</a>{else}{$thread->username}{/if}
					- {@$thread->time|time}
				</small>
				
				{if $thread->getDeleteNote()}
					<small class="wbbThreadDeleteNote">
						{@$thread->getDeleteNote()}
					</small>
				{/if}
			</td>
		{else}
			<td class="columnText columnSubject">
				{if $thread->hasLabels()}
					<ul class="labelList">
						{foreach from=$thread->getLabels() item=label}
							<li><a href="{link application='wbb' controller='Board' object=$thread->getBoard()}labelIDs[{@$label->groupID}]={@$label->labelID}{/link}" class="badge label{if $label->getClassNames()} {$label->getClassNames()}{/if} jsTooltip" title="{lang}wbb.thread.labeledThreads{/lang}">{lang}{$label->label}{/lang}</a></li>
						{/foreach}
					</ul>
				{/if}
				
				<h3>
					{if $thread->isAnnouncement}<span class="badge badgeUpdate label">{lang}wbb.thread.announcement{/lang}</span>{/if}
					{if $thread->isSticky}<span class="badge label">{lang}wbb.thread.sticky{/lang}</span>{/if}
					{event name='badges'}
					
					{if $thread->movedThreadID}
						<a href="{link application='wbb' controller='Thread' object=$thread->getMovedThread()}{/link}" class="wbbTopicLink messageGroupLink" data-thread-id="{@$thread->threadID}">{$thread->topic|tableWordwrap}</a>
					{else}	
						{if $thread->isNew()}
							<a href="{link application='wbb' controller='Thread' object=$thread}action=firstNew{/link}" class="messageGroupLink{if $thread->getBoard()->getPermission('canReadThread')} wbbTopicLink{/if}" data-thread-id="{@$thread->threadID}">{$thread->topic|tableWordwrap}</a>
						{else}
							<a href="{$thread->getLink()}" class="messageGroupLink{if $thread->getBoard()->getPermission('canReadThread')} wbbTopicLink{/if}" data-thread-id="{@$thread->threadID}">{$thread->topic|tableWordwrap}</a>
						{/if}
					{/if}
				</h3>
				
				<aside class="statusDisplay">
					{if WBB_BOARD_THREADS_ENABLE_SMALL_PAGES}{smallpages pages=$thread->getPages() controller='Thread' object=$thread link='pageNo=%d'}{/if}
					<ul class="statusIcons">
						{if $thread->reportQueueID}<li><a href="{link controller='ModerationReport' id=$thread->reportQueueID}{/link}"><span class="icon icon16 icon-warning-sign jsTooltip" title="{lang}wbb.thread.reported{/lang}"></span></a></li>{/if}
						{if $thread->isSubscribed()}<li><span class="icon icon16 icon-bookmark jsTooltip" title="{lang}wbb.thread.subscribed{/lang}"></span></li>{/if}
						{if $thread->movedThreadID}<li><span class="icon icon16 icon-arrow-right jsTooltip" title="{lang}wbb.thread.moved{/lang}"></span></li>{/if}
						{if $thread->isClosed}<li><span class="icon icon16 icon-lock jsIconClosed jsTooltip" title="{lang}wbb.thread.closed{/lang}"></span></li>{/if}
						{if $thread->polls}<li><span class="icon icon16 icon-bar-chart jsTooltip" title="{lang}wbb.thread.polls{/lang}"></span></li>{/if}
						{if $thread->attachments}<li><span class="icon icon16 icon-paper-clip jsTooltip" title="{lang}wbb.thread.attachments{/lang}"></span></li>{/if}
						
						{if WBB_MODULE_THREAD_MARKING_AS_DONE && $thread->getBoard()->enableMarkingAsDone}
							<li>
								{if $thread->isDone}
									<span id="threadMarking{@$thread->threadID}" class="icon icon16 icon-check jsTooltip jsIconDone wbbMarkAsDone" title="{lang}wbb.thread.done{/lang}"></span>
								{else}
									<span id="threadMarking{@$thread->threadID}" class="icon icon16 icon-check-empty jsTooltip jsIconUndone wbbMarkAsDone" title="{lang}wbb.thread.undone{/lang}"></span>
								{/if}
							</li>
						{/if}
						
						{event name='statusIcons'}
						
						{if WBB_BOARD_THREADS_ENABLE_LANGUAGE_FLAG && $thread->languageID && $showLanguageFlag}<li>{@$thread->getLanguageIcon()}</li>{/if}
					</ul>
				</aside>
				
				<small>
					{if $thread->userID}<a href="{link controller='User' object=$thread->getUserProfile()->getDecoratedObject()}{/link}" class="userLink" data-user-id="{@$thread->userID}">{$thread->username}</a>{else}{$thread->username}{/if}
					- {@$thread->time|time}
					{if $enableEditMode && $thread->getBoard()->canEditThreads()}<span class="jsOnly wbbThreadEditLink">- <a class="jsThreadInlineEditor">{lang}wcf.global.button.edit{/lang}</a></span>{/if}
					{if $showBoardLink}- <a href="{link application='wbb' controller='Board' object=$thread->getBoard()}{/link}">{$thread->getBoard()->title|language}</a>{/if}
				</small>
				
				{if $thread->isDeleted && $thread->getDeleteNote()}
					<small class="wbbThreadDeleteNote">
						{@$thread->getDeleteNote()}
					</small>
				{/if}
				
				{event name='threadData'}
			</td>
			<td class="columnDigits columnReplies">{#$thread->replies}</td>
			{if $showLikeColumn && MODULE_LIKE && $__wcf->getSession()->getPermission('user.like.canViewLike')}<td class="columnStatus columnLikes">{if $thread->likes || $thread->dislikes}<span class="likesBadge badge jsTooltip {if $thread->cumulativeLikes > 0}green{elseif $thread->cumulativeLikes < 0}red{/if}" title="{lang likes=$thread->likes dislikes=$thread->dislikes}wcf.like.tooltip{/lang}">{if $thread->cumulativeLikes > 0}+{elseif $thread->cumulativeLikes == 0}&plusmn;{/if}{#$thread->cumulativeLikes}</span>{/if}</td>{/if}
			{if $showViewColumn}<td class="columnDigits columnViews">{#$thread->views}</td>{/if}
			<td class="columnText columnLastPost">
				{if $thread->replies != 0}
					<div class="box24">
						<a href="{if $thread->movedThreadID}{link application='wbb' controller='Thread' object=$thread->getMovedThread()}action=lastPost{/link}{else}{link application='wbb' controller='Thread' object=$thread}action=lastPost{/link}{/if}" class="framed jsTooltip" title="{lang}wbb.thread.gotoLastPost{/lang}">{@$thread->getLastPosterProfile()->getAvatar()->getImageTag(24)}</a>
						
						<div>
							<p>
								{if $thread->lastPosterID}
									<a href="{link controller='User' object=$thread->getLastPosterProfile()->getDecoratedObject()}{/link}" class="userLink" data-user-id="{@$thread->getLastPosterProfile()->userID}">{$thread->lastPoster}</a>
								{else}
									{$thread->lastPoster}
								{/if}
							</p>
							<small>{@$thread->lastPostTime|time}</small>
						</div>
					</div>
				{/if}
			</td>
		{/if}
		
		{event name='columns'}
	</tr>
{/foreach}