{include file='documentHeader'}

<head>
	<title>{lang}wbb.thread.log{/lang} - {$thread->topic} - {$board->title|language} - {PAGE_TITLE|language}</title>
	
	{include file='headInclude'}
</head>

<body id="tpl{$templateName|ucfirst}">

{include file='header'}

<header class="boxHeadline marginTop">
	<h1><a href="{link application='wbb' controller='ThreadLog' id=$thread->threadID}{/link}">{lang}wbb.thread.log{/lang}</a></h1>
</header>

{include file='userNotice'}

<div class="contentNavigation">
	{pages print=true assign=pagesLinks application='wbb' controller='ThreadLog' id=$thread->threadID link="pageNo=%d"}
	
	{hascontent}
		<nav>
			<ul>
				{content}
					{event name='contentNavigationButtonsTop'}
				{/content}
			</ul>
		</nav>
	{/hascontent}
</div>

{if $objects|count}
	<div class="container marginTop">
		<ul class="containerList">
			{foreach from=$objects item=entry}
				<li>
					<div class="box48">
						<a href="{link controller='User' object=$entry->getUserProfile()}{/link}" title="{$entry->username}" class="framed">{@$entry->getUserProfile()->getAvatar()->getImageTag(48)}</a>
						
						<div class="details">
							<div class="containerHeadline">
								<h3><a href="{link controller='User' object=$entry->getUserProfile()}{/link}" class="userLink" data-user-id="{@$entry->userID}">{$entry->username}</a></h3> 
								<small>{@$entry->time|time}</small>
							</div>
							
							<p>{@$entry}</p>
						</div>
					</div>
				</li>
			{/foreach}
		</ul>
	</div>
{else}
	<p class="info">{lang}wbb.thread.log.noEntries{/lang}</p>
{/if}

<div class="contentNavigation">
	{@$pagesLinks}
	
	{hascontent}
		<nav>
			<ul>
				{content}
					{event name='contentNavigationButtonsBottom'}
				{/content}
			</ul>
		</nav>
	{/hascontent}
</div>

{include file='footer'}

</body>
</html>
