{if !$anchor|isset}{assign var=anchor value=$__wcf->getAnchor('top')}{/if}
{if !$showCollapsedPosts|isset}{assign var=showCollapsedPosts value=false}{/if}
{if !$thread|isset && $container|isset}{assign var=thread value=$container}{/if}
{foreach from=$objects item=post}
	{assign var='objectID' value=$post->postID}
	{assign var='userProfile' value=$post->getUserProfile()}
	
	{if ($post->isDeleted && !$thread->isDeleted) && !$showCollapsedPosts}
		<li id="post{@$post->postID}" class="marginTop">
			<article class="wbbPost wbbPostDeleted message messageCollapsed jsClipboardObject{if $post->canRead()} messageCollapsedExpandable{/if}" data-object-id="{@$post->postID}" data-post-id="{@$post->postID}">
				<div class="messageHeader">
					<ul class="messageQuickOptions">
						{if $thread->getBoard()->canEditThreads()}
							<li class="jsOnly"><input type="checkbox" class="jsClipboardItem" data-object-id="{@$post->postID}" /></li>
						{/if}
					</ul>
					
					<div class="box24">
						{if $post->userID}
							<a href="{link controller='User' object=$userProfile->getDecoratedObject()}{/link}" class="framed userLink" data-user-id="{@$post->userID}">{@$userProfile->getAvatar()->getImageTag(24)}</a>
						{else}
							<span class="framed">{@$userProfile->getAvatar()->getImageTag(24)}</span>
						{/if}
						
						<div>
							<h1>{lang}wbb.post.summary{/lang}</h1>
							<small>{@$post->getDeleteNote()}</small>
						</div>
					</div>
				</div>
			</article>
		</li>
	{else}
		<li id="post{@$post->postID}" class="marginTop{if MESSAGE_SIDEBAR_ENABLE_MESSAGE_GROUP_STARTER_ICON && $thread->userID && $thread->userID == $post->userID} messageGroupStarter{/if}">
			<article class="wbbPost message messageSidebarOrientation{@$__wcf->getStyleHandler()->getStyle()->getVariable('messageSidebarOrientation')|ucfirst} dividers jsClipboardObject jsMessage{if $thread->isDeleted || $post->isDeleted} messageDeleted{/if}{if $thread->isDisabled || $post->isDisabled} messageDisabled{/if}"
				data-object-id="{@$post->postID}" data-post-id="{@$post->postID}" data-can-edit="{if $thread->canEditPost($post->getDecoratedObject())}1{else}0{/if}" data-can-edit-inline="{if $thread->getBoard()->canEditThreads()}1{else}0{/if}"
				{if $thread->getBoard()->canEditThreads()}
					data-is-closed="{if $post->isClosed}1{else}0{/if}" data-is-deleted="{if $post->isDeleted}1{else}0{/if}" data-is-disabled="{if $post->isDisabled}1{else}0{/if}"
					data-can-close="{@$thread->getBoard()->getModeratorPermission('canClosePost')}" data-can-delete="{@$thread->getBoard()->getModeratorPermission('canDeletePost')}" data-can-delete-completely="{@$thread->getBoard()->getModeratorPermission('canDeletePostCompletely')}" data-can-enable="{@$thread->getBoard()->getModeratorPermission('canEnablePost')}" data-can-restore="{@$thread->getBoard()->getModeratorPermission('canRestorePost')}"
				{/if}
				data-object-type="com.woltlab.wbb.likeablePost" data-like-liked="{if $likeData[$post->postID]|isset}{@$likeData[$post->postID]->liked}{/if}" data-like-likes="{if $likeData[$post->postID]|isset}{@$likeData[$post->postID]->likes}{else}0{/if}" data-like-dislikes="{if $likeData[$post->postID]|isset}{@$likeData[$post->postID]->dislikes}{else}0{/if}" data-like-users='{if $likeData[$post->postID]|isset}{ {implode from=$likeData[$post->postID]->getUsers() item=likeUser}"{@$likeUser->userID}": { "username": "{$likeUser->username|encodeJSON}" }{/implode} }{else}{ }{/if}' data-user-id="{@$post->userID}">
				
				<div>
					{include file='messageSidebar'}
					
					<section class="messageContent">
						<div>
							<header class="messageHeader">
								<ul class="messageQuickOptions">
									<li class="jsOnly"><a href="{link application='wbb' controller='Thread' object=$thread appendSession=false}postID={@$post->postID}{/link}#post{@$post->postID}" class="jsTooltip jsButtonShare" title="{lang}wcf.message.share{/lang}" data-link-title="{if $post->subject}{$post->subject}{else}{$thread->topic}{/if}"><span class="icon icon16 icon-link"></span></a></li>
									
									{if $thread->getBoard()->canEditThreads()}
										<li class="jsOnly"><input type="checkbox" class="jsClipboardItem" data-object-id="{@$post->postID}" /></li>
									{/if}
								</ul>
								
								<div class="messageHeadline">
									{if $post->subject}<h1>{$post->subject}</h1>{/if}
									<p>
										<a href="{link application='wbb' controller='Thread' object=$thread appendSession=false}postID={@$post->postID}{/link}#post{@$post->postID}" class="permalink">{@$post->time|time}</a>
									</p>
								</div>
								
								{if $thread->isNewPost($post->getDecoratedObject())}<p class="newMessageBadge">{lang}wcf.message.new{/lang}</p>{/if}
								
								{event name='messageHeader'}
							</header>
							
							<div class="messageBody">
								<div>
									{if $post->getPoll()}
										<div class="jsInlineEditorHideContent">
											{include file='poll' poll=$post->getPoll()}
										</div>
									{/if}
									
									{event name='beforeMessageText'}
									
									<div class="messageText">
										{@$post->getFormattedMessage()}
									</div>
									
									{event name='afterMessageText'}
								</div>
								
								{include file='attachments'}
								
								{if $post->showSignature && $post->getUserProfile()->showSignature()}
									<div class="messageSignature">
										<div>{@$post->getUserProfile()->getSignature()}</div>
									</div>
								{/if}
								
								{event name='messageBody'}
								
								<div class="messageFooter">
									{if $post->editCount}
										<p class="wbbPostEditNote messageFooterNote">{lang}wbb.post.editNote{/lang}</p>
									{/if}
									
									{if $post->isDeleted && !$thread->isDeleted}
										<p class="wbbPostDeleteNote messageFooterNote">{@$post->getDeleteNote()}</p>
									{/if}
									
									{event name='messageFooterNotes'}
								</div>
								
								<footer class="messageOptions">
									<nav class="jsMobileNavigation buttonGroupNavigation">
										<ul class="smallButtons buttonGroup">
											{if $thread->canEditPost($post->getDecoratedObject())}<li><a href="{link application='wbb' controller='PostEdit' id=$post->postID}{/link}" title="{lang}wbb.post.edit{/lang}" class="button jsMessageEditButton"><span class="icon icon16 icon-pencil"></span> <span>{lang}wcf.global.button.edit{/lang}</span></a></li>{/if}
											{if LOG_IP_ADDRESS && $post->ipAddress && $__wcf->session->getPermission('admin.user.canViewIpAddress')}<li class="jsIpAddress jsOnly" data-post-id="{@$post->postID}"><a title="{lang}wbb.post.ipAddress{/lang}" class="button jsTooltip"><span class="icon icon16 icon-globe"></span> <span class="invisible">{lang}wbb.post.ipAddress{/lang}</span></a></li>{/if}
											<li class="jsQuoteMessage" data-object-id="{@$post->postID}" data-is-quoted="{if $__quoteFullQuote|isset && $post->postID|in_array:$__quoteFullQuote}1{else}0{/if}"><a href="{link application='wbb' controller='PostAdd' id=$thread->threadID quoteMessageID=$post->postID}{/link}" title="{lang}wcf.message.quote.quoteMessage{/lang}" class="button jsTooltip{if $__quoteFullQuote|isset && $post->postID|in_array:$__quoteFullQuote} active{/if}"><span class="icon icon16 icon-quote-left"></span> <span class="invisible">{lang}wcf.message.quote.quoteMessage{/lang}</span></a></li>
											<li class="jsReportPost jsOnly" data-object-id="{@$post->postID}"><a title="{lang}wcf.moderation.report.reportContent{/lang}" class="button jsTooltip"><span class="icon icon16 icon-warning-sign"></span> <span class="invisible">{lang}wcf.moderation.report.reportContent{/lang}</span></a></li>
											{if MODULE_USER_INFRACTION && $userProfile->userID && $__wcf->session->getPermission('mod.infraction.warning.canWarn')}<li class="jsWarnPost jsOnly" data-object-id="{@$post->postID}" data-user-id="{@$userProfile->userID}"><a title="{lang}wcf.infraction.warn{/lang}" class="button jsTooltip"><span class="icon icon16 icon-legal"></span> <span class="invisible">{lang}wcf.infraction.warn{/lang}</span></a></li>{/if}
											<li class="toTopLink"><a href="{@$anchor}" title="{lang}wcf.global.scrollUp{/lang}" class="button jsTooltip"><span class="icon icon16 icon-arrow-up"></span> <span class="invisible">{lang}wcf.global.scrollUp{/lang}</span></a></li>
											{event name='messageOptions'}
										</ul>
									</nav>
								</footer>
							</div>
						</div>
					</section>
				</div>
			</article>
		</li>
	{/if}
{/foreach}
