{hascontent}
	<fieldset>
		<legend>{lang}wbb.thread.type{/lang}</legend>
		
		<dl>
			<dt></dt>
			<dd class="floated">
				<label><input type="radio" name="type" value="0" /> {lang}wbb.thread.type.default{/lang}</label>
				{content}
					{if $board->getModeratorPermission('canPinThread')}<label><input type="radio" name="type" value="1" /> {lang}wbb.thread.type.sticky{/lang}</label>{/if}
					{if $board->getModeratorPermission('canStartAnnouncement')}<label><input type="radio" name="type" value="2" /> {lang}wbb.thread.type.announcement{/lang}</label>{/if}
				{/content}
			</dd>
		</dl>
		<dl id="boardIDsContainer" class="wbbAnnouncementSelection" style="display: none;">
			<dt><label for="boardIDs">{lang}wbb.thread.type.boardIDs{/lang}</label></dt>
			<dd>
				<select id="boardIDs" name="boardIDs[]" multiple="multiple" size="10" class="long">
					{foreach from=$boardNodeList item=boardNode}
						<option value="{@$boardNode->getBoard()->boardID}"{if $boardNode->getBoard()->boardID|in_array:$boardIDs} selected="selected"{/if}>{if $boardNode->getDepth() > 1}{@"&nbsp;&nbsp;&nbsp;&nbsp;"|str_repeat:($boardNode->getDepth() - 1)}{/if}{$boardNode->getBoard()->title|language}</option>
					{/foreach}
				</select>
				<small>{lang}wcf.global.multiSelect{/lang}</small>
			</dd>
		</dl>
	</fieldset>
	
	<script data-relocate="true">
		//<![CDATA[
		$(function() {
			new WBB.Thread.TypeChooser({@$type});
		});
		//]]>
	</script>
{/hascontent}