{include file='header' pageTitle='wbb.acp.board.list'}

<script data-relocate="true">
	//<![CDATA[
	$(function() {
		new WCF.Sortable.List('boardNodeList', 'wbb\\data\\board\\BoardAction');
		new WBB.ACP.Board.Collapsible('wbb\\data\\board\\BoardAction');
		{if $__wcf->session->getPermission('admin.board.canDeleteBoard')}
			new WBB.ACP.Board.Delete('wbb\\data\\board\\BoardAction', '.sortableNode', '> .sortableNodeLabel .jsDeleteButton');
		{/if}
	});
	//]]>
</script>

<header class="boxHeadline">
	<h1>{lang}wbb.acp.board.list{/lang}</h1>
</header>

<div class="contentNavigation">
	<nav>
		<ul>
			<li><a href="{link application='wbb' controller='BoardAdd'}{/link}" class="button"><span class="icon icon16 icon-plus"></span> <span>{lang}wbb.acp.board.add{/lang}</span></a></li>
			{event name='contentNavigationButtons'} 
		</ul>
	</nav>
</div>

{hascontent}
	<div id="boardNodeList" class="container containerPadding sortableListContainer marginTop">
		<ol id="boardContainer0" class="sortableList" data-object-id="0">
			{content}
				{foreach from=$boardNodeList item=boardNode}
					<li class="sortableNode{if $boardNode->getBoard()->isCategory()} jsCollapsibleCategory{else if $boardNode->getBoard()->isExternalLink()} sortableNoNesting{/if}" data-object-id="{@$boardNode->getBoard()->boardID}" data-is-open="{if $boardNode->getBoard()->boardID|in_array:$collapsedCategoryIDs}0{else}1{/if}">
						<span class="sortableNodeLabel">
							{if !$boardNode->getBoard()->isCategory()}
								{if $boardNode->getBoard()->isBoard()}
									<span class="icon icon16 icon-folder-close-alt"></span>
								{else if $boardNode->getBoard()->isExternalLink()}
									<span class="icon icon16 icon-globe"></span>
								{/if}
							{/if}
							<a href="{link application='wbb' controller='BoardEdit' id=$boardNode->getBoard()->boardID}{/link}">{$boardNode->getBoard()->title|language}</a>
							
							<span class="statusDisplay sortableButtonContainer">
								{if $__wcf->session->getPermission('admin.board.canEditBoard')}
									<a href="{link application='wbb' controller='BoardEdit' id=$boardNode->getBoard()->boardID}{/link}" class="jsTooltip" title="{lang}wcf.global.button.edit{/lang}"><span class="icon icon16 icon-pencil"></span></a>
								{/if}
								{if !$boardNode->getBoard()->isExternalLink() && $__wcf->session->getPermission('admin.board.canAddBoard')}
									<a href="{link application='wbb' controller='BoardAdd'}parentID={@$boardNode->getBoard()->boardID}{/link}" class="jsTooltip" title="{lang}wbb.acp.board.addSubboard{/lang}"><span class="icon icon16 icon-plus"></span></a>
								{/if}
								{if $__wcf->session->getPermission('admin.board.canDeleteBoard')}
									<span class="icon icon16 icon-remove pointer jsDeleteButton jsTooltip" title="{lang}wcf.global.button.delete{/lang}" data-object-id="{@$boardNode->getBoard()->boardID}" data-confirm-message="{lang}wbb.acp.board.delete.sure{/lang}"></span>
								{/if}
								{event name='itemButtons'}
							</span>
						</span>
					
					<ol id="boardContainer{@$boardNode->getBoard()->boardID}" class="sortableList" data-object-id="{@$boardNode->getBoard()->boardID}">{if !$boardNode->hasChildren()}</ol></li>{/if}
					
					{if !$boardNode->hasChildren() && $boardNode->isLastSibling()}
						{@"</ol></li>"|str_repeat:$boardNode->getOpenParentNodes()}
					{/if}
				{/foreach}
			{/content}
		</ol>
	</div>
	
	<div class="formSubmit">
		<button class="button buttonPrimary" data-type="submit">{lang}wcf.global.button.saveSorting{/lang}</button>
	</div>
{hascontentelse}
	<p class="info">{lang}wcf.global.noItems{/lang}</p>
{/hascontent}

{include file='footer'}