<?php
namespace wbb\data;
use wcf\data\DatabaseObject;

/**
 * Abstract class for Burning Board data holder classes.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	data
 * @category	Burning Board
 */
abstract class WBBDatabaseObject extends DatabaseObject {
	/**
	 * @see	wcf\data\IStorableObject::getDatabaseTableName()
	 */
	public static function getDatabaseTableName() {
		return 'wbb'.WCF_N.'_'.static::$databaseTableName;
	}
}
