<?php
namespace wbb\data\board;

/**
 * Represents a board node list.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	data.board
 * @category	Burning Board
 */
class SearchableBoardNodeList extends FilteredBoardNodeList {
	/**
	 * @see	wbb\data\board\BoardNodeTree::isVisible()
	 */
	protected function isVisible(Board $board) {
		return (parent::isVisible($board) && $board->searchable);
	}
}
