<?php
namespace wbb\data\thread;
use wcf\system\bbcode\KeywordHighlighter;
use wcf\util\StringUtil;

/**
 * Represents a search result.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	data.thread
 * @category	Burning Board
 */
class SearchResultThread extends ViewableThread {
	/**
	 * Return the highlighted topic.
	 * 
	 * @return string
	 */
	public function getHighlightedTopic() {
		return KeywordHighlighter::getInstance()->doHighlight(StringUtil::encodeHTML($this->topic));
	}
}
