<?php
namespace wbb\system\event\listener;
use wcf\system\event\IEventListener;

/**
 * Adds 'wbbPosts' sort field for members list.
 * 
 * @author	Alexander Ebert
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	system.event.listener
 * @category	Burning Board
 */
class PostMembersListPageListener implements IEventListener {
	/**
	 * @see	wcf\system\event\IEventListener::execute()
	 */
	public function execute($eventObj, $className, $eventName) {
		$eventObj->validSortFields[] = 'wbbPosts';
	}
}
